

Summary: GAP Mode for Crisp
Name:  gapmode
Version: 0.1.0
Release: 43
Copyright: GPL
Group: Development/Tools
Source: gapmode.tar.gz
BuildRoot: /tmp/%{name}-buildroot
Prefix: /usr/local/crisp

%description
This package adds support for GAP to Crisp
%prep
%setup -n gapmode-0.1.0-src
%build
gmake configure instdir=$RPM_BUILD_ROOT/usr/local/crisp/gapmode
make
%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING TODO AUTHORS 
/usr/local/crisp/gapmode/macros
/usr/local/crisp/gapmode/etc

%pre
cwd=`pwd`
echo -n     Locating crisp .
c=`find /usr/local/crisp -name crisp| tail -1 `
if test x$c = x ; then
   echo .. not found. 
   exit 1;
else
   echo .. found.
fi

%post
profdir=/etc/profile.d
gapdir=/usr/local/crisp/gapmode
if test -e $profdir ; then
   echo -n     Installing shell profiles for GAP .
   for i in gap.sh gap.bash gap.csh ; do
      cp -a $gapdir/etc/$i $profdir
   done
   echo .. done.
fi
echo

cwd=`pwd`
c=`find /usr/local/crisp -name crisp| tail -1 `
cd `dirname $c` && cd ..
cpath=`pwd`

etcdir=$cpath/etc
kwddir=$cpath/src/keywords
tpldir=$cpath/src/template
echo -n Installing keyword files ..
cp -a $gapdir/etc/gap.kwd $kwddir 
cp -a $gapdir/etc/gap.tpl $tpldir 
echo  .. done. 

%postun
profdir=/etc/profile.d
if test -e $profdir ; then
   for i in $profdir/gap.* ; do
      echo -n Deinstalling $i ... 
      rm -f $i
      echo  done.
   done
fi
echo

%changelog
* Sun Aug 12 2004 Michael Erdmann <michael.erdmann@snafu.de>
- first attempt

